<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.jgroups.channel.fork.protocol.AUTH.token.plain">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="shared-secret-reference"/>
        <elem name="addr-params" value="profile,subsystem,channel,fork,protocol,token"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.jgroups"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.clustering.jgroups.auth-token.$fork"/>
    </provides>
    <refs>
        <ref feature="subsystem.jgroups.channel.fork.protocol.AUTH"/>
        <ref feature="subsystem.jgroups.channel.fork"/>
        <ref feature="subsystem.jgroups.channel"/>
        <ref feature="subsystem.jgroups"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="fork" feature-id="true"/>
        <param name="protocol" feature-id="true" default="AUTH"/>
        <param name="shared-secret-reference"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="channel" feature-id="true"/>
        <param name="subsystem" feature-id="true" default="jgroups"/>
        <param name="token" feature-id="true" default="plain"/>
    </params>
</feature-spec>